Subject: Re: What's cooking in git.git (Jan 2026, #04)

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 14 Jan 2026 18:35:28 +0100

On Wed, Jan 14, 2026 at 06:26:58AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > On Tue, Jan 13, 2026 at 12:10:13PM -0800, Junio C Hamano wrote:
> >> * ps/read-object-info-improvements (2026-01-12) 8 commits
> >>  - packfile: drop repository parameter from `packed_object_info()`
> >>  - packfile: skip unpacking object header for disk size requests
> >>  - packfile: disentangle return value of `packed_object_info()`
> >>  - packfile: always populate pack-specific info when reading object info
> >>  - packfile: extend `is_delta` field to allow for "unknown" state
> >>  - packfile: always declare object info to be OI_PACKED
> >>  - object-file: always set OI_LOOSE when reading object info
> >>  - Merge branch 'jc/object-read-stream-fix' into ps/read-object-info-improvements
> >> 
> >>  The object-info API has been cleaned up.
> >> 
> >>  Comments?
> >>  source: <202[email-masked]>
> >
> > I think this topic should be ready by now. The last iteration only added
> > another test that catches a bug we recently started to hit in production
> > systems, and the previous iterations all received reviews.
> >
> > I can try to loop in another set of reviewers though if you prefer.
> 
> For a topic like this with multiple iterations, I always revisit the
> thread overview
> 
> https://lore.kernel.org/git/202[email-masked]/
> 
> at lore, but it is hard to judge quickly if we have reached the
> point of diminishing returns when the last few rounds got almost no
> responses.

Fair. I mostly want to ensure that this topic will be part of the
upcoming Git 2.53 release given that it fixes a regression.

Patrick